#include <fstream>
#include <cmath>
#include <vector>
#include <gsl/gsl_sf.h>
#include <gsl/gsl_interp.h>
#include <gsl/gsl_spline.h>

//#include "../finite-mt__small-x/finite-mt_small-x_coeffs.hh"

using namespace std;


const double zeta_2 = 1.6449340668482264366;
const double zeta_3 = 1.2020569031595942854;
const double nl = 5.;

double zeta(double x) {
  double res;
  if(x==2) res = zeta_2;
  else if(x==3) res = zeta_3;
  else exit(2);
  return res;
}
double psi(double x) {
  return gsl_sf_psi(x);
}
double psi(int n, double x) {
  return gsl_sf_psi_n(n,x);
}


// z space
#include "nnlo_mt_gg_z.cc"



#include "nnlo_pars.cc"
double smallx_match_z(double z, double c2) {
  double res = -log(z);
  // j<Kact  is consistent with the other program
  for(int j=1; j<Kact; j++) {
    res -= pow(1-z,j)/(j+0.);
  }
  return res*c2*9.;// /M_PI/M_PI;
}


